Bug 64076 - Regression: Inserting particular SVG file in Writer 4 broken. Worked in 3.6x. Importing works fine on both.
Summary: Regression: Inserting particular SVG file in Writer 4 broken. Worked in 3.6x....
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: Other All
: highest normal
Assignee: Not Assigned
URL:
Whiteboard: bibisected40
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-04-30 08:56 UTC by Gerry
Modified: 2013-11-27 13:57 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
other-test-svg.svg (117.27 KB, image/svg+xml)
2013-04-30 08:56 UTC, Gerry
Details
Screenshot for the svg in the first attachment. (109.57 KB, image/png)
2013-08-28 19:07 UTC, Christina Rossmanith
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gerry 2013-04-30 08:56:29 UTC
Created attachment 78638 [details]
other-test-svg.svg

Attached SVG file could be inserted (Insert->Picture->From File) nicely in LO 3.6.2.2. In LO 4.0x it is imported just empty. There is just an empty frame inserted. This is a regression

Contrary to bug 64075 (which deals with a similar issue), the import via (File->Open) works fine on both LO 4 and LO 3.6.x


System: Ubuntu 12.10
Comment 1 Joel Madero 2013-04-30 21:21:34 UTC
Thank you for reporting this issue! I have been able to confirm the issue on:
Version: 4.1.0.0.alpha0+Build ID: 6e3e6ef7257e93743a72719581ef6fe0016e58e
Date:   Thu Apr 11 15:24:38 2013 +0200 
Platform: Bodhi Linux 2.2 x64

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
As I've been able to confirm this problem I am marking as:

New (confirmed)
Normal - can prevent high quality / professional work
Highest - inserting pictures common, regression, workaround not obvious

Keywords - regression

Whiteboard Status - bibisected40

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage and join us on freenode at #libreoffice-qa

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 2 Joel Madero 2013-04-30 21:22:09 UTC
e2e46267c18c2706de771a08472ebfce19f68520 is the first bad commit
commit e2e46267c18c2706de771a08472ebfce19f68520
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Tue Dec 11 01:34:19 2012 +0000

    source-hash-4316e643ef345b0f673b4a03a80a4b7cb3185588
    
    commit 4316e643ef345b0f673b4a03a80a4b7cb3185588
    Author:     Norbert Thiebaud <nthiebaud@gmail.com>
    AuthorDate: Sat Oct 27 18:50:22 2012 +0200
    Commit:     Norbert Thiebaud <nthiebaud@gmail.com>
    CommitDate: Sat Nov 3 20:24:28 2012 -0500
    
        WaE uno any conversion does not like int
    
        Change-Id: I54abaf2cd4dd896b39b4b6993d6d2f7c37f35e18

:100644 100644 375319ed2310407a2b031b9c790e49120f38e704 c09b92a8ddf24b8738a7cd3a695ae1e4482d354c M	autogen.log
:100644 100644 d74e7c36ded29f0a811a0bb6fc166acb002724ef bcee1e11bd693642ca5a6330175b58082e5dcdd0 M	ccache.log
:100644 100644 5f3f50c29a878563f56e6bc579f4b261af9d31ae 75677cef16786d2cc95c0d8f301482278ca055c3 M	commitmsg
:100644 100644 b0500fd04fd92bbd335832b0b873cfcf94af4910 83b4ecc0ecb3e031c804d49f45f854e95d5cc961 M	dev-install.log
:100644 100644 074b31bc6bcaa25ae66be837bc88737e16685b49 91437b9974ffada7e049273419bb8c66c91c0539 M	make.log
:040000 040000 7e20f9a1092a955af59d723326698d4cbc136687 45c0bab8b669778ab523c8f65a25e8c9afde604a M	opt




# bad: [5b4b36d87517a6ea96ff8c84c46b12f462fc9a1a] source-hash-8450a99c744e9005f19173e4df35d65640bcf5c4
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# good: [16b0b88cbd4ef0f51816e97277e40c5cf78f7bf9] source-hash-099198a4224778fe6e43f5dc13b5b9b1b4dc828c
git bisect good 16b0b88cbd4ef0f51816e97277e40c5cf78f7bf9
# good: [f28b8f9a6c47fa59bf98fffe937a2f2db7a2445a] source-hash-a581d31b227623e09d2970a91214fda398f98eda
git bisect good f28b8f9a6c47fa59bf98fffe937a2f2db7a2445a
# good: [114fd3b76bcba890e6d702d00cef910f1493c262] source-hash-64ab96cd15e52da88781e720d6f031dbcd0ba902
git bisect good 114fd3b76bcba890e6d702d00cef910f1493c262
# bad: [47498a36f7af8f54e6e3dda89cd4708802a409e6] source-hash-19f4ebd8a54da0ae03b9cc8481613e5cd20ee1e7
git bisect bad 47498a36f7af8f54e6e3dda89cd4708802a409e6
# good: [f4e2d84db194943180f3e7ed4adce5f8e377d9bc] source-hash-806d18ae7b8c241fe90e49d3d370306769c50a10
git bisect good f4e2d84db194943180f3e7ed4adce5f8e377d9bc
# bad: [fb4214f9d134b556582a4a5280e5458de5f8eebd] source-hash-683758efb22d08a4cf211a6d985148f513da2a90
git bisect bad fb4214f9d134b556582a4a5280e5458de5f8eebd
# bad: [e2e46267c18c2706de771a08472ebfce19f68520] source-hash-4316e643ef345b0f673b4a03a80a4b7cb3185588
git bisect bad e2e46267c18c2706de771a08472ebfce19f68520
# good: [7f50375c2cf8bf1e026f61f11ae9666648687164] source-hash-d281a19e1d06856f863788f3344ad42ed1566669
git bisect good 7f50375c2cf8bf1e026f61f11ae9666648687164
Comment 3 Christina Rossmanith 2013-08-28 19:07:50 UTC
Created attachment 84810 [details]
Screenshot for the svg in the first attachment.

looks fine here 

Version: 4.2.0.0.alpha0+
Build ID: d00e125cbe33da88b881d177cbc09a9045d32349
Comment 4 Gerry 2013-11-27 13:57:49 UTC
Tested with LibreOffice 4.2 Beta1 (Ubuntu 13.04). The SVG (inserted and imported) looks fine here, too. Thanks Christina, for testing.

I mark it as RESOLVED -> FIXED